package com.muyu.common.rabbit;

import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.AmqpAdmin;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;

@Log4j2
@Configuration
@AllArgsConstructor
public class RabbitConfig {

    private final AmqpAdmin AmqpAdmin;

    private final AmqpTemplate AmqpTemplate;

    @PostConstruct
    private void init(){
        log.info("RabbitMq启动成功");
    }

}
